Trigger Search

Returns information about all triggers that match the search parameters.

Examples

Below are a few examples that demonstrate some common queries. Each example illustrates the parameters that need to be sent as request parameters.

All triggers for a run

{
  "runId": "555"
}

All triggers for a branch

{
  "branchId": "555"
}

All triggers for a source

{
  "source": "Kinetic Request"
}

All triggers for a source id

{
  "source": "Kinetic Request",
  "sourceId": "cefa0736-724d-11e7-8783-11d1da2061fc"
}

All triggers for a tree

{
  "source": "Kinetic Request",
  "group": "services > laptop-order",
  "tree": "Submitted"
}

All triggers for a global routine

{
  "source": "-",
  "group": "-",
  "tree": "Calculate SLA"
}

All triggers for a date range

(timeline defaults to createdAt)

{
  "start": "2017-01-01",
  "end": "2017-02-01"
}

All triggers after a certain date

(timeline defaults to createdAt)

{
  "start": "2017-01-01"
}

All triggers before a certain date

(timeline defaults to createdAt)

{
  "end": "2017-01-01"
}
Query Params
string

Optional name of the source the triggers belong to.

string

Optional sourceId - only used if source is also provided.

string

Optional source group - only used if source is also provided.

string

Optional name of the tree - only used if source is also provided.

string
enum

Optional Action describing the type of trigger.

Allowed:
int32

Optional Id of the branch.

string
enum

Optional action taken for managed triggers.

Allowed:
string

Optional selection criterion that matches the selection criterion of a handler.

string
enum

Optional status of the triggers.

Allowed:
string

Optional unique value of the deferred task to resume.

int32

Optional Id of the tree.

string
enum

Optional triggers that belong to the specified type of tree / routine.

Allowed:
string
enum

date/time field to use for sorting

Allowed:
string
enum
Defaults to DESC

direction of sorting

Allowed:
date-time

ISO8601 (yyyy-MM-dd'T'HH:mm:ss'Z') formatted date/time where the timeline field is later than this value.

date-time

ISO8601 (yyyy-MM-dd'T'HH:mm:ss'Z') formatted date/time where the timeline field is earlier than this value.

int32
Defaults to 100

Number of results to limit the search to.

int32
Defaults to 0

Offset beginning for paginated results.

include
array of strings

comma-separated list of additional properties to include in the response

include
Response

Language
Credentials
Basic
base64
:
URL
Response
Choose an example:
application/json